---
- name: Generate oo_list_hosts group
  hosts: localhost
  become: no
  connection: local
  gather_facts: no
  vars_files:
  - vars.yml
  tasks:
  - set_fact: scratch_group=meta-clusterid_{{ cluster_id }}
    when: cluster_id != ''
  - set_fact: scratch_group=all
    when: cluster_id == ''
  - add_host:
      name: "{{ item }}"
      groups: oo_list_hosts
      ansible_ssh_user: "{{ deployment_vars[deployment_type].ssh_user }}"
      ansible_ssh_host: "{{ hostvars[item].ansible_ssh_host | default(item) }}"
      ansible_become: "{{ deployment_vars[deployment_type].become }}"
    with_items: "{{ groups[scratch_group] | default([]) | difference(['localhost']) }}"

- name: List Hosts
  hosts: oo_list_hosts

- name: List Hosts
  hosts: localhost
  become: no
  connection: local
  gather_facts: no
  vars_files:
  - vars.yml
  tasks:
  - debug:
      msg: "{{ hostvars | oo_select_keys(groups[scratch_group] | default([])) | oo_pretty_print_cluster('meta-') }}"
